/******************************************************************************\
 *
 * mclock.h
 *
 * Simple digital clock for the X-Window system.
 * Mclock inculdes also mail and load watch functionality.
 *
 * Markus Koelblin, 1997
 *
\******************************************************************************/

#ifndef CLOCK_H_INC
#define CLOCK_H_INC

#include <X11/Xosdefs.h>  /* for X_NOT_POSIX def */
#include <X11/Xlib.h>
#include <X11/X.h>
#include <X11/Xatom.h>
#include <X11/Xutil.h>
#include <X11/keysym.h>

/******************************************************************************\
 *
 * System Dependent Definitions; see spec for specific range requirements.
 *
\******************************************************************************/

/*
 * Some Xtoolkit compatible type definitions (see Intrinsics.h)
 */

#ifdef CRAY
typedef long		Boolean;
#else
typedef char		Boolean;
#endif

typedef unsigned long	Pixel;      /* Index into colormap */
typedef char *          String;


/*
 * Mailbox path setup
 */

#ifdef SYSV
#define MAILBOX_DIRECTORY "/usr/mail"
#endif
#ifdef SVR4
#define MAILBOX_DIRECTORY "/var/mail"
#endif
#ifdef CSRG_BASED
#include <paths.h>
#ifdef _PATH_MAILDIR
#define MAILBOX_DIRECTORY _PATH_MAILDIR
#endif
#endif

#ifndef MAILBOX_DIRECTORY
#define MAILBOX_DIRECTORY "/usr/spool/mail"
#endif


/*
 * Wait signal stuff  (NON-POSIX / POSIX / SYSV)
 */

#ifndef X_NOT_POSIX
#ifdef _POSIX_SOURCE
#include <sys/wait.h>
#else
#define _POSIX_SOURCE
# include <sys/wait.h>
#undef  _POSIX_SOURCE
#endif
# define waitCode(w)	WEXITSTATUS(w)
# define waitSig(w)	WIFSIGNALED(w)
# define INTWAITTYPE
typedef int waitType;
#else
#ifdef SYSV
#define waitCode(w)	(((w) >> 8) & 0x7f)
#define waitSig(w)	((w) & 0xff)
#define INTWAITTYPE
typedef int waitType;
#else
#include <sys/wait.h>
#define waitCode(w)	((w).w_T.w_Retcode)
#define waitSig(w)      ((w).w_T.w_Termsig)
typedef union wait waitType;
#endif /* SYSV */
#endif /* X_NOT_POSIX */

#endif /* CLOCK_H_INC */
